Bug 1008749 - Add info to install-guide about deleting orphaned and obsolete packages after fedup upgrade
Add info to install-guide about deleting orphaned and obsolete packages after...
Status: ASSIGNED
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
All All
unspecified Severity low
: ---
: ---
Assigned To: Petr Bokoc
Fedora Docs QA
:
Depends On:
Blocks: 1136030
  Show dependency treegraph
 
Reported: 2013-09-16 22:25 EDT by Timothy Ward
Modified: 2014-09-01 09:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Ward 2013-09-16 22:25:00 EDT
Had a quick look and cannot find any info in docs about this problem.

Add info to install-guide about deleting orphaned and obsolete packages after fedup upgrade.

Until a garbage collection program or fedup etc updating this info is required so users can do it manually.


Version-Release number of selected component (if applicable):
Fedora-install docs F19+

How reproducible:

Refer Bug id 978037 which shows that an F17 obsoleted package found in F19 current release after upgrade with fedup from F17.


Steps to Reproduce:
1. install F18
2. fedup upgrade to F19
3. Run the commands in Bug id 978037 Comment 6 to see obsoleted or orphaned
   packages. 

Actual results:
yum local repo still has obsolete and orphaned packages after fedup upgrade

Expected results:
Until a garbage collection program is completed or fedup is updated please 
add this to install documenation.

Additional info:
Comment 1 Petr Bokoc 2013-09-17 05:45:58 EDT
Hi Timothy, thanks for reporting this. I'll take a look and include the information in the F20 version.
Comment 2 markusN 2014-02-01 12:00:21 EST
Just updated F19 -> F20 with fedup. All fine except for

** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
kde-settings-kdm-20-12.fc20.noarch is a duplicate with kde-settings-kdm-19-23.fc19.noarch

I could get rid of that orphaned package with:

package-cleanup --cleandupes --noscripts

(got that trick from http://forums.fedoraforum.org/showthread.php?t=295983)

I would suggest to add this to
http://fedoraproject.org/wiki/FedUp#Cleaning_Up_Post_Upgrade

Note You need to log in before you can comment on or make changes to this bug.